<?php

/**
 * @file
 * Contains Drupal\shoelace_messages\Ajax\ShoelaceMessagesCommand
 */

namespace Drupal\shoelace_messages\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * AJAX command to create shoelace messages from an array of status messages
 */
class ShoelaceMessagesCommand implements CommandInterface {

  protected $messages_array;

  public function __construct($messages_array = NULL) {
    $this->messages_array = $messages_array;
  }

  public function render() {
    return [
      'command' => 'shoelaceMessagesCommand',
      'messages_array' => $this->messages_array,
    ];
  }

}
